<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout
    android:id="@+id/dlPanelPro"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".necesito.categotia"
    android:background="@drawable/fondo"
    android:fitsSystemWindows="true"
    tools:openDrawer="start">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/lyDireccion"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="10dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/ivDireccion"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/marcadorgps"
                app:layout_constraintBottom_toBottomOf="@+id/ivBuscar"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:id="@+id/llDireccion"
                android:layout_width="250dp"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/tvDireccion"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:fontFamily="@font/coolvetica"
                    android:gravity="center"
                    android:text="direccion"
                    android:textAlignment="center"
                    android:textColor="@color/colorBlanco"
                    android:textSize="20sp" />

            </LinearLayout>

            <ImageView
                android:id="@+id/ivBuscar"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/btnbuscar"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--
        <LinearLayout
            android:id="@+id/lyBuscar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="30dp"
            android:layout_marginTop="5dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/lyDireccion">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/quantum_ic_search_grey600_24" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/txtBuscar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="Nombre de Negocio"
                    android:inputType="text"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        -->

        <ScrollView
            android:id="@+id/scrollView3"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="20dp"
            android:layout_marginTop="120dp"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="100dp"
            android:cropToPadding="true"
            android:scaleType="center"
            app:layout_constraintBottom_toTopOf="@+id/scvMenu"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/lyDireccion">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="20dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginEnd="20dp"
                    android:layout_marginBottom="10dp"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <LinearLayout
                        android:id="@+id/llCatAnuncios"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/anuncios" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="5dp"
                            android:text="ANUNCIOS"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatComida"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catcomidabebida" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Comidas y Bebidas"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatMercado"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catmarkets" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Super Mercados y Tiendas"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatListaCompras"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catlistacompra" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Lista de Compras"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatMascota"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catmascota" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Mascotas"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatPc"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catpc" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="PC y Gaming"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <!--
                    <LinearLayout
                        android:id="@+id/llCatProfesional"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="20dp">

                        <ImageView
                            android:layout_width="150dp"
                            android:layout_height="150dp"
                            android:src="@drawable/catprofesional"/>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Profesionales"
                            android:textSize="15sp"
                            android:fontFamily="@font/alfa_slab_one"
                            android:textColor="@color/colorBlanco"
                            android:padding="15dp"
                            android:layout_gravity="center"/>

                    </LinearLayout>
                    -->

                    <!--

                    <LinearLayout
                        android:id="@+id/llCatTecnico"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="20dp">

                        <ImageView
                            android:layout_width="150dp"
                            android:layout_height="150dp"
                            android:src="@drawable/cattecnico"/>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Técnico"
                            android:textSize="15sp"
                            android:fontFamily="@font/alfa_slab_one"
                            android:textColor="@color/colorBlanco"
                            android:padding="15dp"
                            android:layout_gravity="center"/>

                    </LinearLayout>
                    -->

                    <LinearLayout
                        android:id="@+id/llCatFarmacia"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catfarmacia" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Farmacia"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatFerreteria"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catferreteria" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Ferreteria"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatModa"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catmoda" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Moda y Accesorios"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llCatJuguetes"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginBottom="20dp"
                        android:background="@drawable/fondopeque_o">

                        <ImageView
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:layout_marginLeft="10dp"
                            android:src="@drawable/catjuguetes" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:fontFamily="@font/coolvetica"
                            android:padding="15dp"
                            android:text="Juguetes y Regalos"
                            android:textAlignment="center"
                            android:textColor="@color/colorBlanco"
                            android:textSize="25sp" />

                    </LinearLayout>

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </ScrollView>

        <HorizontalScrollView
            android:id="@+id/scvMenu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="5dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/llInicio"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/inicio" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llMensaje"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/email" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llCarritoCompras"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/carrito" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llPedido"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/pedido" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llBilletera"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/billetera" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llAjustes"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@drawable/ajustes" />

                </LinearLayout>

            </LinearLayout>

        </HorizontalScrollView>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.drawerlayout.widget.DrawerLayout>